Bug 23806 - FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button
Summary: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 23228
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-11 16:06 UTC by Kyle M Hall
Modified: 2019-11-07 13:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button (904 bytes, patch)
2019-10-11 16:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button (1.18 KB, patch)
2019-10-16 11:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button (1.24 KB, patch)
2019-11-07 12:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-10-11 16:06:13 UTC
FinePaymentAutoPopup works correctly for payments by amount, but do not for the "Write off" button that appears on each fee line.
Comment 1 Kyle M Hall 2019-10-11 16:11:11 UTC
Created attachment 94025 [details] [review]
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button
Comment 2 Kyle M Hall 2019-10-16 11:49:21 UTC
Created attachment 94273 [details] [review]
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button

Test Plan:
1) Enable reciept popups for payments and writeoffs
2) Test the "Write off" button, no popup
3) Apply this patch
4) Restart all the things!
5) Test again, you should get the popup!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Comment 3 Jonathan Druart 2019-11-07 12:53:08 UTC
Created attachment 95153 [details] [review]
Bug 23806: FinePaymentAutoPopup does not trigger pop-up for writeoff by "Write off" button

Test Plan:
1) Enable reciept popups for payments and writeoffs
2) Test the "Write off" button, no popup
3) Apply this patch
4) Restart all the things!
5) Test again, you should get the popup!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-11-07 13:27:28 UTC
Nice work!

Pushed to master for 19.11.00